/* Wrapper */
.dataTables_wrapper
{
    font-size: 14px;
    line-height: 19px;
}

/* Header */
table.dataTable thead>tr>th.sorting, table.dataTable thead>tr>th.sorting_asc, table.dataTable thead>tr>th.sorting_desc, table.dataTable thead>tr>th.sorting_asc_disabled, table.dataTable thead>tr>th.sorting_desc_disabled, table.dataTable thead>tr>td.sorting, table.dataTable thead>tr>td.sorting_asc, table.dataTable thead>tr>td.sorting_desc, table.dataTable thead>tr>td.sorting_asc_disabled, table.dataTable thead>tr>td.sorting_desc_disabled
{
    color: #358779;
    font-weight: 600;
}

table.dataTable tfoot th
{
    color: #358779;
}

table.dataTable thead>tr>th.sorting
{
    color: #358779;

    border-bottom-style: solid;
    border-bottom-width: 2px;
    border-bottom-color: #358779;
}

table.dataTable thead>tr>th.sorting:hover
{
    color: #358779;
    text-decoration: underline;
}

/* Header aantal + zoeken */
.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate
{
    margin-top: 16px;
    margin-bottom: 16px;
}

/* Header unsortable column */
table.dataTable thead th, table.dataTable thead td
{
    color: #000000;

    font-weight: 400;

    border-bottom-style: solid;
    border-bottom-width: 2px;
    border-bottom-color: #000000;
}

/* Remove odd-even accents on rows */
table.dataTable.display>tbody>tr.even>*
{
    border-top-style: solid;
    border-top-width: 1px;
    border-top-color: #f9f8f6;

    box-shadow: none;
}

table.dataTable.display>tbody>tr.odd>*
{
    border-top-style: solid;
    border-top-width: 1px;
    border-top-color: #f9f8f6;

    box-shadow: none;
}

/* Hover */
table.dataTable.display>tbody>tr.even:hover
{
    background-color: #fffee6;
}

table.dataTable.display>tbody>tr.odd:hover
{
    background-color: #fffee6;
}

/* Sorting column */
table.dataTable.display>tbody>tr.even>.sorting_1
{
    box-shadow: none;
}

table.dataTable.display>tbody>tr.odd>.sorting_1
{
    box-shadow: none;
}

/* Sorting triangle icon */
table.dataTable thead>tr>th.sorting:before, table.dataTable thead>tr>th.sorting:after, table.dataTable thead>tr>th.sorting_asc:before, table.dataTable thead>tr>th.sorting_asc:after, table.dataTable thead>tr>th.sorting_desc:before, table.dataTable thead>tr>th.sorting_desc:after, table.dataTable thead>tr>th.sorting_asc_disabled:before, table.dataTable thead>tr>th.sorting_asc_disabled:after, table.dataTable thead>tr>th.sorting_desc_disabled:before, table.dataTable thead>tr>th.sorting_desc_disabled:after, table.dataTable thead>tr>td.sorting:before, table.dataTable thead>tr>td.sorting:after, table.dataTable thead>tr>td.sorting_asc:before, table.dataTable thead>tr>td.sorting_asc:after, table.dataTable thead>tr>td.sorting_desc:before, table.dataTable thead>tr>td.sorting_desc:after, table.dataTable thead>tr>td.sorting_asc_disabled:before, table.dataTable thead>tr>td.sorting_asc_disabled:after, table.dataTable thead>tr>td.sorting_desc_disabled:before, table.dataTable thead>tr>td.sorting_desc_disabled:after
{
    color: #358779;
    font-size: 10px;
    opacity: 0.3;
}

table.dataTable thead>tr>th.sorting_asc:before
{
    color: #358779;
    font-size: 10px;
    opacity: 1.0;
}

table.dataTable thead>tr>th.sorting_desc:after
{
    color: #358779;
    font-size: 10px;
    opacity: 1.0;
}

table.dataTable thead>tr>th.sorting_asc
{
    color: #358779;
    font-weight: 600;
}

table.dataTable thead>tr>th.sorting_desc
{
    color: #358779;
    font-weight: 600;
}

/* Remove footer */
.dataTables_scrollFootInner
{
    display: none;
}

/* Pagination vorige */
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active
{
    color: #ffffff !important;
}

/* Pagination nummer huidig */
.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover
{
    cursor: default;

    background-color: #ffffff;
    background-image: none;

    text-decoration: none !important;

    border-style: solid;
    border-color: #000000;
    border-radius: 6px;
}

/* Pagination nummer nieuwe */
.dataTables_wrapper .dataTables_paginate .paginate_button
{
    margin-left: 0px;
    
    color: #358779 !important;

    border-radius: 0;
    box-shadow: none !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button:hover
{
    color: #358779 !important;
    background-color: #ffffff;
    background-image: none;

    text-decoration: underline !important;

    border-radius: 0;
    border-color: #ffffff;
    border-style: solid;
    border-width: 1px;
}

/* Pagination bottom-right numbers */
.dataTables_wrapper .dataTables_paginate
{
    padding-top: 3px;
}

.dataTables_wrapper.no-footer .dataTables_scrollBody
{
    border-bottom: none;
}

table.dataTable.no-footer
{
    border-bottom: none;
}

table.dataTable.row-border tbody th, table.dataTable.row-border tbody td, table.dataTable.display tbody th, table.dataTable.display tbody td
{
    border-top: none;
}

/* Table buttons */
.table-button
{
    background-color: #358779;
    border-color: #358779;

    -webkit-transitionn: all 150ms ease-out;
    -moz-transitionn: all 150ms ease-out;
    -o-transitionn: all 150ms ease-out;
    transition: all 150ms ease-out;
    
    -webkit-box-shadow: 0px 3px 5px 1px #35877959;
    -moz-box-shadow:    0px 3px 5px 1px #35877959;
    box-shadow:         0px 3px 5px 1px #35877959;
}

.table-button:hover
{
    cursor: pointer;
    
    background-color: #ff961f;
    border-color: #ff961f;

    -webkit-box-shadow: 0px 3px 5px 1px #ff961f59;
    -moz-box-shadow:    0px 3px 5px 1px #ff961f59;
    box-shadow:         0px 3px 5px 1px #ff961f59;
}

/* Input field  */
.dataTables_wrapper .dataTables_filter input
{
    border-color: #dcdcdc;
    border-width: 1px;
    border-radius: 6px;
}

.dataTables_wrapper .dataTables_filter input:focus
{
    border-color: #358779;
    border-width: 1px;
    border-radius: 6px;
}

/* Total select */
.dataTables_wrapper .dataTables_length select
{
    appearance: none;
    -webkit-appearance: none;

    padding: 5px;
    padding-right: 32px;

    background-image: url('/public/image/dropdown_gray.svg');
    background-position: right 12px top 50%;
    background-repeat: no-repeat;
    background-size: 12px 12px;

    border-color: #dcdcdc;
    border-width: 1px;
    border-radius: 6px;
}

.dataTables_wrapper .dataTables_filter input:focus
{
    border-color: #358779;
    border-width: 1px;
    border-radius: 6px;
}

/* Label */
.dataTables_wrapper label
{
    color: #000000;
}

/* Pagination numbers */
/*
.dataTables_wrapper .dataTables_paginate
{
    float: left;
}
*/

/* Pagination total */
/*
.dataTables_wrapper .dataTables_info
{
    float: right;
}
*/

.table-container
{
    margin-bottom: 10px;
}

div.dataTables_processing
{
    margin-top: 0px !important;
    width: 100%;
    height: 100%;

    top: initial;
    left: initial;
    margin-left: initial;

    background-color: #ffffff90;

    z-index: 1000;
}

div.dataTables_processing>div:last-child>div
{
    background-color: #000000;
}

.table-mark-check
{
    width: 16px;
    text-align: center;
}

.table-mark-times
{
    width: 16px;
    text-align: center;
}

.table-mark-empty
{
    width: 16px;
    color: #dcdcdc;
    text-align: center;
}

.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>th, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>thead>tr>td, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>th, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody>table>tbody>tr>td
{
	padding-top: 2px;
	padding-bottom: 2px;
	
	height: 38px;
}

.table-row-removed
{
    color: #909293;
}

.table-actions-container
{
    white-space: nowrap;
}

.table-highlight
{
    padding-left: 2px;
    padding-right: 2px;
    padding-top: 5px;
    padding-bottom: 5px;
    margin-left: 1px;
    margin-right: 1px;

    color: #000000;
    background-color: #ffff00;

    border-radius: 4px;
}

.table-link
{
    color: #358779;
}

.table-link:hover
{
    cursor: pointer;
}